---
title: "Auditor Release Notes: Version 2.0.5"
layout: inside
permalink: /Patches/2.0.5.html
lead_content: >
    A list of featured updates to the HTML_CodeSniffer bookmarklet in release version 2.0.5, released on 21st April 2015. This list is focused for users of the bookmarklet, and focuses on changes to tests and the auditor interface. A full list of updates can also be found in the project's technical <a href="https://github.com/squizlabs/HTML_CodeSniffer/blob/gh-pages/CHANGELOG.markdown">bookmarklet changelog</a>.
---

### Auditor Interface
{: #auditor}

#### Bug Fixes
{: #auditor-bugs}

* Fixed an issue on pages using a Frameset, where clicking on the "View Report" button caused a JavaScript error.

### WCAG 2.0 Standards Updates
{: #standards-wcag2}

_References to Principles, Guidelines, Success Criteria and Conformance Requirements should be read in line with the [WCAG 2.0 Recommendation][WCAG20]._

#### Updates and bug fixes
{: #standards-wcag2-bugs}

* *Success Criterion 1.3.1*  

  If a "for" attribute on a **label** element is filled but does not point to the ID of a form control, normally this throws a warning. However it was being thrown on **button** elements when it shouldn't be. It now does not warn on any element defined as a "Labellable element" in the HTML5 definition. This includes **button** and a number of other HTML5-specific elements.

[WCAG20]: http://www.w3.org/TR/WCAG20
