---
title: "Auditor Release Notes: Version 2.0.7"
layout: inside
permalink: /Patches/2.0.7.html
lead_content: >
    A list of featured updates to the HTML_CodeSniffer bookmarklet in release version 2.0.7, released on 19th January 2016. This list is focused for users of the bookmarklet, and focuses on changes to tests and the auditor interface. A full list of updates can also be found in the project's technical <a href="https://github.com/squizlabs/HTML_CodeSniffer/blob/gh-pages/CHANGELOG.markdown">bookmarklet changelog</a>.<br/><br/>

    <em>Please note that the release of version 2.0.6 was aborted after it was tagged, so this is the successor to version 2.0.5.</em>
---

### WCAG 2.0 Standards Updates
{: #standards-wcag2}

_References to Principles, Guidelines, Success Criteria and Conformance Requirements should be read in line with the [WCAG 2.0 Recommendation][WCAG20]._

#### Updates and bug fixes
{: #standards-wcag2-bugs}

* *Success Criterion 1.3.1*
    - Messages for technique H48 - regarding plain text simulating a ordered or unordered list, that should be marked up - have been rewritten for clarity.
    - Also, a couple of bugs were fixed that caused issues at a JavaScript level in certain situations.

* *Success Criterion 1.4.6*
    - Hidden (offscreen) text was previously reported as 1:NaN contrast error - this was due to an additional check for downgrading a contrast error to a warning that was in the double-A test (success criterion 1.4.3) but not in the triple-A test of success criterion 1.4.6.

* *Success Criterion 3.2.2*
    - Fixed a false-positive in checking whether a form has a submit button, when a form uses a BUTTON element with no "type" attribute. BUTTON elements without a valid "type" attribute actually default to being submit buttons, so this should count as satisfactory.



[WCAG20]: http://www.w3.org/TR/WCAG20
